% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/empiricalquantileregression.R
\name{QR.3d}
\alias{QR.3d}
\title{Use rolling windows to calculate local quantiles of R|W}
\usage{
QR.3d(r, w, method = "empirical", tau = 0.95, J = 40, wg = 0.1)
}
\arguments{
\item{r}{Values of R}

\item{w}{Values of W: should either be a two-column matrix containing (W1,W2) or a three-column matrix containing (W1,W2,W3)}

\item{method}{Character string: "empirical" for empirical rolling-windows quantiles. This is the only implemented method at present.}

\item{tau}{value in (0,1) - find the tau-quantile}

\item{J}{number of windows for rolling window estimate}

\item{wg}{Gap between the values of w to calculate the sizes of the rolling windows}
}
\value{
List with elements "wpts", a J^2 x 2 matrix containing the midpoints of the w1,w2 values of each rolling window, "r.tau.wpts", a J x J matrix giving an estimate of the tau-quantile for R|(W_1,W_2) for each window, and "r0w", a threshold value of R|(W1,W2) for each value of (w1,w2) in the data
}
\description{
Use rolling windows to calculate local quantiles of R|W
}
\author{
Jenny Wadsworth
}
