% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/empiricalquantileregression.R
\name{plotempiricalgauge.2d}
\alias{plotempiricalgauge.2d}
\title{Plot empirical estimate of gauge function based on empirical quantile regression}
\usage{
plotempiricalgauge.2d(
  wpts,
  r.tau.wpts,
  points = TRUE,
  lines = TRUE,
  return.coords = FALSE,
  add = FALSE
)
}
\arguments{
\item{wpts}{w values used to calculate quantiles of R|W - output from QR.2d}

\item{r.tau.wpts}{Estimates of the (high) tau-quantiles of R|W corresponding to W=wpts - output from QR.2d}

\item{points}{logical - if TRUE then plot points}

\item{lines}{logical - if TRUE then lines join the points}

\item{return.coords}{logical - if TRUE then returns a matrix of x-y coordinates used to generate the plot}

\item{add}{logical - if TRUE, then add points / lines to an existing plot}
}
\value{
Plot of an empirical estimate of the gauge function
}
\description{
Plot empirical estimate of gauge function based on empirical quantile regression
}
\author{
Jenny Wadsworth
}
